forecast usage
curl --request POST \
--url https://api.unprice.dev/v1/analytics/usage/forecast \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "<string>",
"feature_slug": "<string>",
"period_key": "<string>",
"horizon_days": 14
}
'import requests
url = "https://api.unprice.dev/v1/analytics/usage/forecast"
payload = {
"customer_id": "<string>",
"feature_slug": "<string>",
"period_key": "<string>",
"horizon_days": 14
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '<string>',
feature_slug: '<string>',
period_key: '<string>',
horizon_days: 14
})
};
fetch('https://api.unprice.dev/v1/analytics/usage/forecast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"answer": "<string>",
"freshness": {
"generatedAt": 123,
"dataFrom": 123,
"dataTo": 123
},
"evidence": [
{
"id": "<string>",
"timestamp": 123
}
],
"warnings": [
"<string>"
],
"nextActions": [
"<string>"
],
"project_id": "<string>",
"customer_id": "<string>",
"feature_slug": "<string>",
"horizonDays": 123,
"projectedUsage": 123,
"observedDays": 123,
"baselineUsage": 123,
"trendPerDay": 123,
"periodKey": "<string>"
}{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}analytics
forecast usage
Project customer feature usage from recent Tinybird usage aggregates.
POST
/
v1
/
analytics
/
usage
/
forecast
forecast usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Forecast usage request
Response
Forecast usage response
Available options:
high, medium, low Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I